<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Parts/Inheritance/Inheritance.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Parts.html" >Parts</a>.<a href="../Inheritance.html" >Inheritance</a>
</div><div class="class-name">class Inheritance

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Parts/Inheritance.py.html" target="detail">../Synopsis/Formatters/HTML/Parts/Inheritance.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line19" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Inheritance-inheritance" src="Inheritance-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Inheritance-inheritance_map" />
<map name="Inheritance-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Inheritance.html#_process_class" >_process_class</a></span>(<span class="variable">self</span>, <span class="variable">class_</span>, <span class="variable">names</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance._process_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line38" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Inheritance.html#_process_superclasses" >_process_superclasses</a></span>(<span class="variable">self</span>, <span class="variable">class_</span>, <span class="variable">names</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance._process_superclasses" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line76" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="fragments">fragments</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line21" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line24" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Inheritance.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line29" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Walk the hierarchy to find inherited members to print.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Inheritance.html#write_section_start" >write_section_start</a></span>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.write_section_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line90" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a table with one row.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Inheritance.html#write_section_item" >write_section_item</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.write_section_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line99" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_end">write_section_end</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.write_section_end" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line108" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_process_class">_process_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>, <span class="variable">names</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance._process_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line38" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Prints info for the given class&#44; and calls _process_superclasses after</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_process_superclasses">_process_superclasses</a>(<span class="variable">self</span>, <span class="variable">class_</span>, <span class="variable">names</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance._process_superclasses" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line76" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Iterates through the superclasses of clas and calls _process_clas for
      each</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line29" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Walk the hierarchy to find inherited members to print.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_start">write_section_start</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.write_section_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line90" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a table with one row. The row has a td of class 'heading'
      containing the heading string</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_item">write_section_item</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Inheritance.Inheritance.write_section_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Inheritance.py.html#line99" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds a table row</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
